Subject: bug#52394: 27.2; Isearch with char folding enabled doesn’t match equivalent strings

From: Juri Linkov <[email-masked]>
Date: Sun, 12 Dec 2021 20:30:10 +0200

>> >> > Even better, yes. In addition to simplifying changing the default,
>> >> > something like that would make it easy to create different levels of
>> >> > folding and switch between them (by writing commands that add or
>> >> > remove certain characters from the list).
>> >> 
>> >> Thanks for the suggestion,  This is implemented by the following patch:
>> >
>> > Doesn't this change the default behavior?
>> 
>> No, no change in the default behavior.
>
> Then I guess the doc string of the defcustom is confusing?  Can you
> make it more clear wrt what each value means in practice?

Here is the doc string.  How do you propose to make it more clear?

    "Non-nil means to override all default folding characters.
  When nil, the equivalence table is populated with the default set
  of equivalent chars, and you can remove unneeded characters using
  `char-fold-exclude', and add own characters using `char-fold-include'.
  But when this variable is customized to non-nil, you start with
  an empty table where you can add only own characters
  using `char-fold-include'."